/*
 * printf.h
 *
 *  Created on: 08-02-2013
 *      Author: andy
 * http://www.skybeeper.com/index.php/en/english-en/25-tighten-scanf
 */

#ifndef PRINTF_H_
#define PRINTF_H_
//public function
int printf_(const char *format, ...);
int sprintf_(char *buffer, const char *format, ...);
int rscanf(const char* format, ...);
#endif /* PRINTF_H_ */

/*
+=============================================================================+
| options
+=============================================================================+
*/
//#define INCLUDE_FLOAT  // this enables float in printf() and costs you about 2kByte ROM
//#define USE_DEBUG      // this enables a Macro based on printf()
#define PLL_FREQUENCY			24000000ul	///< desired target frequency of the core
#define UART1_BAUDRATE  		9600


