; Автор:	shilow@ukr.net
; Дата:
; Название:
; Версия:
; Имя файла:
; Для AVR:	ATTiny26
; Тактовая частота:
; Выполняемые функции:
;
; Шаблон для ATTiny26
;

.listmac	; развернём макросы
.nolist
.include "tn26def.inc"
.list

	rjmp	RESET		; Reset handler
	rjmp	EXT_INT0	; IRQ0 handler
	rjmp	PIN_CHANGE	; Pin change handler
	rjmp	TIM1_CMP1A	; Timer1 compare match 1A
	rjmp	TIM1_CMP1B	; Timer1 compare match 1B
	rjmp	TIM1_OVF	; Timer1 overflow handler
	rjmp	TIM0_OVF	; Timer0 overflow handler
	rjmp	USI_STRT	; USI Start handler
	rjmp	USI_OVF		; USI Overflow handler
	rjmp	EE_RDY		; EEPROM Ready handler
	rjmp	ANA_COMP	; Analog Comparator handler
	rjmp	ADCC		; ADC Conversion Handler

;******************************
; ячейки в СОЗУ
.DSEG
;.ORG	SRAM_START
Sample:	.byte	30

;

RESET:	ldi	r16, RAMEND	; Main program start
	out	SP, r16
	sei			; Enable interrupts
BEGIN:
;;;;
	rjmp	BEGIN

;
EXT_INT0:
	reti
;
PIN_CHANGE:
	reti
;
TIM1_CMP1A:
	reti
;
TIM1_CMP1B:
	reti
;
TIM1_OVF:
	reti
;
TIM0_OVF:
	reti
;
USI_STRT:
	reti
;
USI_OVF:
	reti
;
EE_RDY:
	reti
;
ANA_COMP:
	reti
;
ADCC:
	reti
;
